## mailcrypt 3.5.8+CVS.2005.04.29.1

=== tests/gpg-keys/Makefile ===

# The distribution tarball comes with an importable text version of the
# test keyring. For a normal build, this is unpacked, then the stripped
# down keyring (used by the decryption tests to verify behavior when the user
# tries to decrypt a message without possessing the right key) is generated.

# To build the keyrings from source, use the "new-rings" target. This uses
# a few python scripts to create the keyring, but the process requires some
# manual intervention. After the manual steps are done, you should build
# the "exported" target to contruct the 

unpack: unpack-full-rings exported

rings.txt:
	@echo "rings.txt must be manually created"
	@echo "try this:"
	@echo "make new-rings"
	@echo " (it needs manual help)"
	@echo "make exported"
	@echo "make pack"
	@exit 1


unpack-full-rings: rings.txt
	mkdir full-rings
	chmod go-rwsx full-rings
	gpg --homedir full-rings --allow-secret-key-import --fast-import rings.txt
	./fix-trust.py full-rings
	chmod go-r full-rings/*
	chmod u-w full-rings/pubring.gpg full-rings/secring.gpg
	rm -f full-rings/*~

new-rings:
	./make-rings.py full-rings
	@echo "Please complete the manual steps requested by make-rings.py"
	@echo "Then 'make exported' to create the stripped down keyring."
	@echo "'make pack' to build the packed keyring for distribution."

exported:
	gpg --homedir full-rings --check-trustdb
	mkdir exported
	chmod go-rwsx exported
	touch exported/pubring.gpg exported/secring.gpg
	chmod go-rw exported/*
	gpg --homedir exported --check-trustdb
	chmod go-rw exported/trustdb.gpg
	gpg --homedir full-rings --export owner1 owner2 other trusted untrusted | gpg --homedir exported --import
	gpg --homedir full-rings --export-secret-keys owner1 owner2 |gpg --homedir exported --allow-secret-key-import --fast-import
	chmod go-rw exported/*
	./fix-trust.py exported
	rm -f exported/*~
	chmod u-w exported/pubring.gpg exported/secring.gpg

clean:
	rm -rf full-rings exported
update:
	gpg --homedir full-rings --update-trustdb
sigs:
	gpg --homedir full-rings --list-sigs
trust:
	gpg --homedir full-rings --export-ownertrust
dump:
	gpg --homedir full-rings --with-colons --list-keys

pack:
	gpg --homedir full-rings -a --export-all >rings.txt
	gpg --homedir full-rings -a --export-secret-keys >>rings.txt
	rm -rf full-rings exported

## mailcrypt 3.5.9

=== debian/changelog ===
mailcrypt (3.5.9-8) unstable; urgency=medium

  * make build reproducible using patch from Chris Lamb, (closes: #777506)
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 May 2015 13:53:47 +0100

mailcrypt (3.5.9-7) unstable; urgency=medium

  * autoupdate configure.in and rename to configure.ac
  * autoreconf, refresh configure
  * bump standards version
  * canonical packaging repo urls
  * translation by Adriano Rafael Gomes <adrianorg@gmail.com> (closes: #693382)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 May 2014 23:18:12 +0100

mailcrypt (3.5.9-6) unstable; urgency=low

  * Allow emacs24 (closes: #679944, #685179)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Nov 2012 10:22:49 +0000

mailcrypt (3.5.9-5) unstable; urgency=low

  * Acknowledge and merge translation-related NMU.  Thanks Christian Perrier!
  * Bump standards version
  * Silence lintian tag description-synopsis-starts-with-article
  * Single-debian-patch source option (closes: #643211)
  * Silence lintian tag maintainer-script-without-set-e

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Mar 2012 23:12:12 +0100

mailcrypt (3.5.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #633472
    - Polish (Michał Kułach).  Closes: #659022

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Feb 2012 07:51:29 +0100

mailcrypt (3.5.9-4) unstable; urgency=low

  * bump standards version (debian/control)
  * Debconf translation:
    - Japanese (Nobuhiro Iwamatsu).  Closes: #605341

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 09 Apr 2011 19:31:11 +0100

mailcrypt (3.5.9-3) unstable; urgency=low

  * Merge upstream changes
  * Make build work without emacs (closes: 577380)
  * Perform updates deferred until upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Apr 2010 12:57:48 +0100

mailcrypt (3.5.9-2) unstable; urgency=low

  * Merge upstream changes
    - updates to autoconf configuration files
  * regenerate actual configure script (not included upstream)
  * elaborate source locations in debian/README.Debian,
  * standardise repo info in debian/control
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:38 +0000

mailcrypt (3.5.9-1) unstable; urgency=low

  * New upstream release
  * Support uscan
  * Make Barak A. Pearlmutter comaintainer dejure instead of just defacto
    - only practical difference: bug reports via CC + QA, and lower integration hassle

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Mar 2010 14:15:08 +0000

mailcrypt (3.5.8+CVS.2010.03.08-0.1) unstable; urgency=low

  * Debian packaging tweaks
  * New upstream version
    - merge in bug fixes that were pushed upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Mar 2010 18:15:29 +0000

mailcrypt (3.5.8+CVS.2010.02.23-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix VCS fields (debian/changelog)
  * New upstream version
    - fix for emacs 23.1 rmail-cease-edit nulling buffer-local rmail-buffer

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Feb 2010 16:11:12 +0000

mailcrypt (3.5.8+CVS.2010.02.14-0.1) unstable; urgency=low

  * Non-maintainer upload.
    - repo with changes in debian/control Vcs field
  * Merge ongoing changes in upstream CVS
    - upstream merge of our patch fixing makeinfo error (mailcrypt.texi)
    - fixes build error with recent .texi tools (Makefile.in) addressing
      http://sourceforge.net/tracker/?func=detail&aid=2778193&group_id=397&atid=100397
    - remove gratuitous differences with latest upstream Makefile.in
    - adds autoloads comments (*.el) addressing
      http://sourceforge.net/tracker/?func=detail&aid=1080283&group_id=397&atid=100397
      and allowing (in principle) auto-generation of Debian emacsen autoloads
  * Emacs23 issues
    - Patch from Toni Schmidbauer <toni@stderror.at> (closes: #545892)
    - Switch rmail-convert-file to rmail-convert-file-maybe (mc-toplevel.el)
    - Fix test for Emacs >= 20.3 (debian/mailcrypt-init.el)
    - Work around rmail-cease-edit setting rmail-buffer to nil breaking
      mc-rmail-decrypt-message (!)
  * Insert missing quote in mc-scheme-pgp{50,65} to fix mc-*-verify-signature
  * Describe import into GIT in debian/README.Debian
  * Debconf translation:
    - Finnish (Esko Arajärvi).  Closes: #549709
  * Address lintian and build issues
    - Do not include *.texi in binary package or register it with doc-base
    - Add dependency on recent-enough dpkg or install-info
    - Stop calling install-docs in installation scripts
    - Stop calling install-info in installation scripts
    - Stop calling install-info in debian/rules (!)
    - Regenerate debian/rules from debian/rules.in
    - Get rid of ...//... in debian/rules as it bugs me (and is error prone)
    - Flush lintian warning about ignored make distclean error
    - rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Feb 2010 00:33:52 +0000

mailcrypt (3.5.8+CVS.2005.04.29.1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on install-info and don't call install-info with
    an absolute path. Closes: #545665
  * Ignore rm errors to prevent FTBFS. Closes: #545665
  * Depend on "dpkg (>= 1.15.4) | install-info" as install-info
    is no longer provided by dpkg
  * Move "Homepage:" out of the package description
  * Use "Editors" for the doc-base section, not "Apps/Editors"
  * No longer ignore errors from make in the clean target
  * Drop ePerl crap from the lintian overrides file
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #504032
    - Spanish (Francisco Javier Cuadrado).  Closes: #533142
    - Russian (Yuri Kozlov).  Closes: #543190
    - Vietnamese (Clytie Siddall).  Closes: #548990

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Oct 2009 09:28:36 +0200



=== debian/control ===
Source: mailcrypt
Priority: optional
Section: mail
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.6
Build-Depends-Indep: eperl, po-debconf, texinfo, texi2html, dpkg (>= 1.15.4) | install-info
Homepage: http://mailcrypt.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/mailcrypt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mailcrypt.git

Package: mailcrypt
Architecture: all
Depends: debconf (>= 0.2.0) | debconf-2.0, gnupg, emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, make, dpkg (>= 1.15.4) | install-info
Description: Emacs interface to GPG and PGP
 Mailcrypt is an Emacs lisp package that provides a simple but
 powerful interface to cryptographic functions for mail and news.
 With Mailcrypt, encryption becomes a seamlessly integrated part of
 mail and news handling.  Mailcrypt can automatically fetch public
 keys to encode, decode, and verify messages; can be configured to
 automate mailing through anonymous remailers; and can interface to
 both GPG (the GNU Privacy Guard) and PGP.
 .
 Although Mailcrypt may be used to process data in arbitrary Emacs
 buffers, it is most useful in conjunction with other Emacs packages
 for handling mail and news.  Mailcrypt has specialized support for
 Rmail, VM, MH-E, Mew, and Gnus.
 .
 XEmacs ships with its own version of Mailcrypt, so this package
 should only be used with GNU Emacs.  (I.e., you don't need to install
 this package if you only use XEmacs.)

=== debian/rules ===
#! /usr/bin/make -f
#
# rules for mailcrypt
#
# Copyright (C) 1997, 98, 99, 2000, 01, 02, 03, 04, 05, 06, 07
# by Davide G. M. Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to: The Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

checkdir=test -f debian/rules
checkroot=test root = "$$(whoami)"
fixperms=chmod -R a+rX .

tmp := $(shell pwd)/debian/tmp

SHELL := /bin/bash
INSTDIR := install -m 755 -d
INSTPROG := install -m 755 -s
INSTDATA := install -m 644
INSTSCRIPT := install -m 755
STRIP := strip -R .note -R .comment

DFILES := debian/README debian/copyright \
debian/config debian/postinst debian/prerm debian/postrm \
debian/docbase debian/lintian \
debian/bug.presubj debian/bug.script \
debian/install debian/remove

DCSOURCES := $(shell cat debian/po/POTFILES.in \
		| perl -pe 's|^\[[^]]+\] +(.*)$$|debian/$${1}|')
DFILES += $(patsubst %templates, %templates.dcobj, $(DCSOURCES))

SCRIPTS := configure install-sh
SOURCES := *.in *.el load-path.hack
MAKEFILEHACKS := tests/Makefile.in tests/remailer/Makefile.in

.PHONY: pre-build
pre-build:
	autoconf || true

debian/rules: debian/variables

%:: %.in
	eperl -d DEBIAN_DIR="$(shell pwd)/debian/" \
		-I "$(shell pwd)/debian/" -P -o $@ $<

debian/po/templates.pot: $(DCSOURCES)
	umask 0022 && debconf-updatepo --verbose --podir=debian/po/
	@touch $@

%.dcobj: % debian/po/templates.pot
	po2debconf --verbose --podir debian/po $< > $@

build: $(DFILES) debian/po/templates.pot
	$(checkdir)
	chmod a+x ./configure;		./configure --infodir=/usr/share/info EMACS=echo
	$(MAKE) MAKEINFO="makeinfo --verbose" \
		TEXI2HTML="texi2html --Verbose" \
		info html
	touch build

.PHONY: clean
clean: debian/po/templates.pot
	$(checkdir)
	-rm -rf build core $(tmp) debian/{files*,substvars}
	-rm -f debian/po/updatepo
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f $(DFILES)
	$(fixperms)

.PHONY: binary
binary: binary-arch binary-indep

.PHONY: binary-indep
binary-indep: build
	$(checkdir)
	$(checkroot)
	-rm -rf $(tmp)

	$(INSTDIR) $(tmp)/usr/share/emacs/site-lisp/mailcrypt
	$(INSTDATA) debian/mailcrypt-init.el $(tmp)/usr/share/emacs/site-lisp/mailcrypt/../
	$(INSTSCRIPT) $(SCRIPTS) $(tmp)/usr/share/emacs/site-lisp/mailcrypt/
	$(INSTDATA) $(SOURCES) $(tmp)/usr/share/emacs/site-lisp/mailcrypt/
	umask 0022; for i in $(MAKEFILEHACKS); do \
		$(INSTDIR) $(tmp)/usr/share/emacs/site-lisp/mailcrypt/$${i%/*}/; \
		echo -e "clean distclean:\n\trm -f Makefile\n" \
			> $(tmp)/usr/share/emacs/site-lisp/mailcrypt/$${i}; \
	done
	$(MAKE) INSTALL_INFO="echo install-info" \
		install-info infodir=$(tmp)/usr/share/info
	gzip -9nfrv $(tmp)/usr/share/info

	$(INSTDIR) $(tmp)/usr/share/doc/mailcrypt
	$(INSTDATA) ANNOUNCE ChangeLog.1 NEWS ONEWS README README.gpg WARNINGS $(tmp)/usr/share/doc/mailcrypt
	$(INSTDATA) debian/README $(tmp)/usr/share/doc/mailcrypt/README.Debian
	$(INSTDATA) ChangeLog $(tmp)/usr/share/doc/mailcrypt
	$(INSTDATA) debian/changelog $(tmp)/usr/share/doc/mailcrypt/changelog.Debian
	gzip -9nfrv $(tmp)/usr/share/doc/mailcrypt
	ln -sf ChangeLog.gz $(tmp)/usr/share/doc/mailcrypt/changelog.gz
	$(INSTDATA) debian/copyright $(tmp)/usr/share/doc/mailcrypt
	$(INSTDIR) $(tmp)/usr/share/doc/mailcrypt/HTML
	$(INSTDATA) htmls/*.html $(tmp)/usr/share/doc/mailcrypt/HTML
	ln -snf mailcrypt_toc.html $(tmp)/usr/share/doc/mailcrypt/HTML/index.html

	$(INSTDIR) $(tmp)/usr/lib/emacsen-common/packages/install
	$(INSTDIR) $(tmp)/usr/lib/emacsen-common/packages/remove
	$(INSTSCRIPT) debian/install \
		$(tmp)/usr/lib/emacsen-common/packages/install/mailcrypt
	$(INSTSCRIPT) debian/remove \
		$(tmp)/usr/lib/emacsen-common/packages/remove/mailcrypt
	$(INSTDIR) $(tmp)/usr/share/doc-base
	$(INSTDATA) debian/docbase $(tmp)/usr/share/doc-base/mailcrypt
	$(INSTDIR) $(tmp)/usr/share/bug/mailcrypt
	$(INSTDATA) debian/bug.presubj $(tmp)/usr/share/bug/mailcrypt/presubj
	$(INSTSCRIPT) debian/bug.script $(tmp)/usr/share/bug/mailcrypt/script
	$(INSTDIR) $(tmp)/usr/share/lintian/overrides
	$(INSTDATA) debian/lintian $(tmp)/usr/share/lintian/overrides/mailcrypt

	$(INSTDIR) $(tmp)/DEBIAN
	$(INSTDATA) debian/templates.dcobj \
		$(tmp)/DEBIAN/templates
	$(INSTSCRIPT) debian/{config,postinst,postrm,prerm} \
		$(tmp)/DEBIAN

	cd $(tmp) && md5sum \
		$$(find ./ -path './DEBIAN' -prune \
		-o -type f -printf "%P\n") \
		| sort -k 2 -o $(tmp)/DEBIAN/md5sums
	dpkg-gencontrol -isp
	chown -R root.root $(tmp)
	chmod -R go=rX $(tmp)
	dpkg --build $(tmp) ..

.PHONY: binary-arch
binary-arch: build
	$(checkdir)
	$(checkroot)

.PHONY: build-package
build-package: clean
	dpkg-buildpackage -rfakeroot -tc -i

.PHONY: source diff
source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

# arch-tag: 7f6799c7-dca1-4d84-8038-1ad9c2888751-child
